{# Copyright 2020 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

{% extends "records/manage_file_base.html" %}

{% block breadcrumbs %}
  {{ super() }}
  {% snippet "breadcrumb", url=url_for("records.edit_file", record_id=record.id, file_id=file.id), title=title %}
{% endblock %}

{% block content %}
  <div class="card">
    {% include "records/snippets/manage_file_menu.html" %}

    <div class="card-body">
      <submission-form>
        {{ render_csrf() }}

        <text-field :field="{{ json_field(form.name) }}"></text-field>
        <text-field :field="{{ json_field(form.mimetype) }}"></text-field>
        <div class="d-flex justify-content-between">
          <submit-field :field="{{ json_field(form.submit) }}"></submit-field>
          <button type="button" class="btn btn-danger" @click="deleteFile">{% trans %}Delete file{% endtrans %}</button>
        </div>
      </submission-form>
      <form action="{{ url_for('records.delete_file', record_id=record.id, file_id=file.id) }}"
            method="post"
            ref="delete">
        {{ render_csrf() }}
      </form>
    </div>
  </div>
{% endblock %}

{% block scripts %}
  <script type="application/javascript" nonce="{{ csp_nonce() }}">
    new Vue({
      el: '#vm',
      methods: {
        deleteFile() {
          if (confirm(i18n.t('warning.deleteFile'))) {
            this.$refs.delete.submit();
          }
        },
      },
    });
  </script>
{% endblock %}
